## niceshaper 1.2.3

=== src/Makefile ===
CXX=g++

CXXFLAGS+=-Wall -pedantic
CPPFLAGS+=-I../include
LDFLAGS+=-pthread

OBJS=main.o aux.o logger.o class.o niceshaper.o config.o filter.o ifaces.o iptables.o libnetlink.o supervisor.o sys.o talk.o tests.o trigger.o worker.o 
TARGET=niceshaper

.cc.o:
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $<

all: $(OBJS)
	$(CXX) $(OBJS) $(LDFLAGS) -o $(TARGET)

clean:
	rm -f *.o $(TARGET)

=== debian/changelog ===
niceshaper (1.2.3-1) unstable; urgency=low

  * New upstream release.

 -- Mariusz Jedwabny <mariusz@jedwabny.net>  Tue, 07 Jun 2016 23:14:29 +0200

niceshaper (1.2.2-1) unstable; urgency=low

  * Initial release. (Closes: #717124)

 -- Mariusz Jedwabny <mariusz@jedwabny.net>  Sun, 17 Apr 2016 20:59:23 +0200

=== debian/control ===
Source: niceshaper
Section: net
Priority: optional
Maintainer: Mariusz Jedwabny <mariusz@jedwabny.net>
Build-Depends: debhelper (>=9),
               dh-systemd
Standards-Version: 3.9.8
Homepage: http://niceshaper.jedwabny.net

Package: niceshaper
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, iproute2
Recommends: iptables
Description: Dynamic Traffic Shaper
 NiceShaper is a program working in a Linux router environment.
 It uses a proven HTB QOS algorithm. It provides dynamic traffic shaping
 which is more effective than traditional, static shaping.
 By constantly monitoring packets flowing through the router in response to
 changing load dynamically adjusts the bandwidth of acting classes to a level
 enabling the fullest possible usage of a internet access.
 At the same time does not allow for creation of congestion,
 ensuring complete convenience of interactive services.
 .
 NiceShaper protects each class which use reasonable amount of bandwidth and
 takes care of overall download when upload is close to stop up.

=== debian/watch ===
version=3

http://niceshaper.jedwabny.net/files/niceshaper-(.*)\.tar\.bz2

## niceshaper 1.2.4

=== Makefile ===
BINDIR?=/usr/local/bin

bindir=$(DESTDIR)$(BINDIR)
cfgdir=$(DESTDIR)/etc/niceshaper
vardir=$(DESTDIR)/var/lib/niceshaper
docdir=$(DESTDIR)/usr/share/doc/niceshaper

conffile=config.conf
clasfile=class.conf

TARGET=niceshaper

all:
	@echo "###########" 
	@echo "# Compiling"
	@echo "###"
	$(MAKE) -C src 
	mv src/$(TARGET) $(TARGET)

install: all
	@echo "####################"
	@echo "Installing documents"
	@echo "###"
	install -d $(cfgdir) $(docdir)
	install -d $(docdir)/editors $(docdir)/editors/mc $(docdir)/editors/vim 
	install -d $(docdir)/examples 
	install -d $(docdir)/html $(docdir)/html/en $(docdir)/html/pl
	install -d -m 750 $(vardir)
	install -m 644 ./etc/niceshaper/$(conffile) $(docdir)/examples/
	install -m 644 ./etc/niceshaper/$(clasfile) $(docdir)/examples/
	install -m 644 ./editors/mc/* $(docdir)/editors/mc/
	install -m 644 ./editors/vim/* $(docdir)/editors/vim/
	install -m 644 ./docs/htb.png $(docdir)/html/
	install -m 644 ./docs/mrtg.png $(docdir)/html/
	install -m 644 ./docs/ns.css $(docdir)/html/
	install -m 644 ./docs/en/* $(docdir)/html/en/
	install -m 644 ./docs/pl/* $(docdir)/html/pl/
	@echo "#################"
	@echo "Installing binary"
	@echo "###"
	install -D -m 755 $(TARGET) $(bindir)/$(TARGET)
	@echo "########################"
	@echo "Installing configuration"
	@echo "###"
	test -e $(cfgdir)/$(conffile) && install -m 644 ./etc/niceshaper/$(conffile) $(cfgdir)/$(conffile)-dist || install -m 644 ./etc/niceshaper/$(conffile) $(cfgdir)/$(conffile)
	test -e $(cfgdir)/$(clasfile) && install -m 644 ./etc/niceshaper/$(clasfile) $(cfgdir)/$(clasfile)-dist || install -m 644 ./etc/niceshaper/$(clasfile) $(cfgdir)/$(clasfile)

uninstall: 
	@echo "###################"
	@echo "Uninstalling binary"
	@echo "###"
	rm -f $(bindir)/$(TARGET)

clean:
	@echo "###############"
	@echo "Cleaning source"
	@echo "###" 
	$(MAKE) -C src clean
	rm -f $(TARGET)

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 CXX=g++
 
-CXXFLAGS+=-Wall -pedantic
+CXXFLAGS+=-Wall
 CPPFLAGS+=-I../include
 LDFLAGS+=-pthread

=== debian/changelog ===
niceshaper (1.2.4-1) unstable; urgency=medium

  * New upstream release.
    - Auto Hosts feature added.
    - Status, show, and stop commands work even if errors in global section
      configuration are found.
    - Fix a bug where the commands status and show with --remote parameter
      don't work if NiceShaper is not running locally.
    - Allow additional dashes within the iface directive.
    - Language fixes and updates introduced into the English translation 
      of documentation.
  * Fix watch file to check for stable releases only.

 -- Mariusz Jedwabny <mariusz@jedwabny.net>  Tue, 27 Dec 2016 23:52:52 +0100

=== debian/control ===
Source: niceshaper
Section: net
Priority: optional
Maintainer: Mariusz Jedwabny <mariusz@jedwabny.net>
Build-Depends: debhelper (>=9),
               dh-systemd
Standards-Version: 3.9.8
Homepage: http://niceshaper.jedwabny.net

Package: niceshaper
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, iproute2
Recommends: iptables
Description: Dynamic Traffic Shaper
 NiceShaper is the program developed for Linux router environment.
 It works in user space on top of standard Linux QOS implementation 
 and iptables. By default, a proven HTB algorithm is used for the root, inner,
 and leaf classes, SFQ packets scheduling algorithm is the default queuing 
 discipline (qdisc) contained within each of leaf classes, U32 and FW are
 used as the packets classifiers. NiceShaper provides dynamic traffic shaping
 approach which is more effective than traditional shaping with static rates.
 While constantly monitoring the traffic flowing through the router, 
 in response to the changing load, dynamically adjusts the rate and ceil
 parameters values of enabled HTB classes to the values which enable 
 the fullest possible utilization of Internet connection throughput.
 .
 NiceShaper protects each host which uses reasonable amount of shared
 throughput while watching over the configured optimal utilization of 
 Internet connection. Therefore, at the asymmetric Internet connection, 
 takes care of download when upload is close to stop up (and vice versa).
 NiceShaper doesn't allow for creation of congestions,
 thus ensures the comfort of using interactive services as well.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export BINDIR=/usr/bin

override_dh_compress:
	dh_compress -Xchangelog.html -Xniceshaper.vim

override_dh_installinit:
	dh_installinit --no-start

%:
	dh $@ --with systemd

=== debian/watch ===
version=3

http://niceshaper.jedwabny.net/files/niceshaper-(\d\.\d\.\d+)\.tar\.bz2
